/**
* @file SemSegLocal.h
* @brief semantic segmentation using image patches only
* @author Erik Rodner
* @date 05/08/2008

*/
#ifndef SEMSEGLOCALINCLUDE
#define SEMSEGLOCALINCLUDE

#include "vislearning/classifier/classifierbase/FeaturePoolClassifier.h"
#include "SemanticSegmentation.h"


namespace OBJREC
{

/** abstract interface for pixelwise localization systems */
class SemSegLocal : public SemanticSegmentation
{

  protected:
    bool save_cache;
    bool read_cache;

    std::string cache;
    FeaturePoolClassifier *fpc;

  public:

    /** simple constructor */
    SemSegLocal ( const NICE::Config *conf, const MultiDataset *md );

    /** simple destructor */
    virtual ~SemSegLocal();

    void train ( const NICE::Config *conf, const MultiDataset *md );

    void semanticseg ( CachedExample *ce,
                       NICE::ImageT<int> & segresult,
                       NICE::MultiChannelImageT<double> & probabilities );

    void semanticseg ( CachedExample *ce,
                       NICE::MultiChannelImageT<int> & segresult,
                       NICE::MultiChannelImage3DT<double> & probabilities )
    {}

};


} // namespace

#endif
