/**
* @file OperationPool.h
* @brief pool for feature extraction methods
* @author Sven Sickert
* @date 10/09/2015

*/

#ifndef OperationPoolINCLUDE
#define OperationPoolINCLUDE

#include <vector>

#include "Operations3D.h"
#include <core/basics/Config.h>

namespace OBJREC {

class OperationPool
{
    protected:

        const NICE::Config *config;

    public:

        std::vector<Operation3D*> pool;

        /** simple constructor */
        OperationPool ( );
        OperationPool ( const NICE::Config *_config );

        /** simple destructor */
        virtual ~OperationPool( );

        /** get operations */
        virtual void getOperations ( std::string confSection = "Features" ) = 0;

        /** free memory */
        virtual void clear ( );
};

} //namespace

#endif
