/**
* @file RectangleOperationPool.h
* @brief pool for rectangle feature extraction methods
* @author Sven Sickert
* @date 10/09/2015

*/

#ifndef RectangleOperationPoolINCLUDE
#define RectangleOperationPoolINCLUDE

#include "OperationPool.h"

namespace OBJREC {

class RectangleOperationPool : public OperationPool
{
    protected:

        bool contextMode;

    public:

        /** simple constructor */
        RectangleOperationPool ( const NICE::Config *_config );

        /** extended constructor */
        RectangleOperationPool ( const NICE::Config *_config,
                              const bool _contextMode);

        /** simple destructor */
        virtual ~RectangleOperationPool ( );

        /** get operations */
        virtual void getOperations ( std::string confString );

};


} //namespace

#endif
