/**
* @file RegionOperationPool.cpp
* @brief pool for region feature extraction methods
* @author Sven Sickert
* @date 10/09/2015

*/

#include "RegionOperationPool.h"

using namespace OBJREC;

RegionOperationPool::RegionOperationPool ( const NICE::Config *_config )
    : OperationPool ( _config )
{
    contextMode = false;
}

RegionOperationPool::RegionOperationPool ( const NICE::Config *_config,
                                           const bool _contextMode )
    : OperationPool ( _config )
{
    contextMode = _contextMode;
}

RegionOperationPool::~RegionOperationPool ( )
{

}

void RegionOperationPool::getOperations ( std::string confString )
{
    if ( config->gB ( confString, "region", true ) )
    {
        Operation3D* o = new RegionFeat3D();
        o->setContext( contextMode );
        pool.push_back ( o );
    }
}
