/**
* @file RegionOperationPool.h
* @brief pool for region feature extraction methods
* @author Sven Sickert
* @date 10/09/2015

*/

#ifndef RegionOperationPoolINCLUDE
#define RegionOperationPoolINCLUDE

#include "OperationPool.h"

namespace OBJREC {

class RegionOperationPool : public OperationPool
{
    protected:

        bool contextMode;

    public:

        /** simple constructor */
        RegionOperationPool ( const NICE::Config *_config );

        /** extended constructor */
        RegionOperationPool ( const NICE::Config *_config,
                              const bool _contextMode);

        /** simple destructor */
        virtual ~RegionOperationPool ( );

        /** get operations */
        virtual void getOperations ( std::string confString );

};


} //namespace

#endif
