/**
* @file SimpleOperationPool.h
* @brief pool for simple feature extraction methods
* @author Sven Sickert
* @date 10/09/2015

*/

#ifndef SimpleOperationPoolINCLUDE
#define SimpleOperationPoolINCLUDE

#include "OperationPool.h"

namespace OBJREC {

class SimpleOperationPool : public OperationPool
{
    protected:

        bool contextMode;

    public:

        /** simple constructor */
        SimpleOperationPool ( );
        SimpleOperationPool ( const NICE::Config *_config );

        /** extended constructor */
        SimpleOperationPool ( const NICE::Config *_config,
                              const bool _contextMode);

        /** simple destructor */
        virtual ~SimpleOperationPool ( );

        /** get operations */
        virtual void getOperations ( std::string confString );

};


} //namespace

#endif
