/**
* @file PostSemSeg.h
* @brief abstract interface for post processing steps concerning semantic segmentation routines
* @author Erik Rodner
* @date 03/19/2009

*/
#ifndef POSTSEMSEGINCLUDE
#define POSTSEMSEGINCLUDE

#include "core/image/MultiChannelImageT.h"


namespace OBJREC
{

/** abstract interface for post processing steps concerning semantic segmentation routines */
class PostSemSeg
{

  protected:

  public:

    /** simple constructor */
    PostSemSeg();

    /** simple destructor */
    virtual ~PostSemSeg();

    virtual void postprocess ( NICE::ImageT<int> & result, NICE::MultiChannelImageT<double> & probabilities ) = 0;

};


} // namespace

#endif
